summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
Diffstat (limited to 'script')
-rwxr-xr-xscript/librelease.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/script/librelease.sh b/script/librelease.sh
index 1c75bf1c14..b2bc9e712a 100755
--- a/script/librelease.sh
+++ b/script/librelease.sh
@@ -1,6 +1,8 @@
#!/bin/bash
# make a release of a Samba library
+GPG_USER='Samba Library Distribution Key <samba-bugs@samba.org>'
+
if [ ! -d ".git" ]; then
echo "Run this script from the top-level directory in the"
echo "repository"
@@ -41,7 +43,7 @@ release_lib() {
echo "signing"
rm -f "$tarname.asc"
- gpg --detach-sign --armor $tarname || exit 1
+ gpg -u "$GPG_USER" --detach-sign --armor $tarname || exit 1
[ -f "$tarname.asc" ] || {
echo "Failed to create signature $tarname.asc"
exit 1